kadm5_chpass_principal
kadm5_delete_principal
KADM5 Functions
PHP Manual

# kadm5_create_principal

Creates a kerberos principal with the given parameters

### Description

bool kadm5_create_principal ( resource `$handle` , string `$principal` [, string `$password` [, array `$options` ]] )

Creates a `principal` with the given `password`.

### Parameters

`handle`

  A KADM5 handle.

`principal`

  The principal.

`password`

  If `password` is omitted or is `NULL`, a random key will be generated.

`options`

  It is possible to specify several optional parameters within the array `options`. Allowed are the following options: `KADM5_PRINC_EXPIRE_TIME`, `KADM5_PW_EXPIRATION`, `KADM5_ATTRIBUTES`, `KADM5_MAX_LIFE`, `KADM5_KVNO`, `KADM5_POLICY`, `KADM5_CLEARPOLICY`, `KADM5_MAX_RLIFE`.

### Return Values

Returns `TRUE` on success or `FALSE` on failure.

### Examples

Example #1 Example of principal's creation

`<?php
$handle = kadm5_init_with_password("afs-1", "GONICUS.LOCAL", "admin/admin", "password");
$attributes = KRB5_KDB_REQUIRES_PRE_AUTH | KRB5_KDB_DISALLOW_PROXIABLE;
$options = array(KADM5_PRINC_EXPIRE_TIME => 0,
KADM5_POLICY => "default",
KADM5_ATTRIBUTES => $attributes);
kadm5_create_principal($handle, "burbach@GONICUS.LOCAL", "password", $options);
kadm5_destroy($handle);
?>`

### See Also

- kadm5_modify_principal
- kadm5_delete_principal